# Bookstore Project
By Khandakar Jawad Sayeem

## Overview
Welcome to the Bookstore Project, a full-stack web application developed using Flask and MySQL. This project is designed to manage a bookstore's operations, including handling book inventories, author details, user interactions, and transactions.

## Features
- **User Authentication**: Secure login and registration system for users.
- **Book Management**: Add, view, and manage book details including title, author, ISBN, and more.
- **Author Management**: Track and manage author details linked with books.
- **Shopping Cart Functionality**: Users can add books to their shopping cart and manage quantities.
- **Reviews**: Users can write and view reviews for books.
- **Order History**: Keeps track of user purchase history.

## Prerequisites
- Python 3
- Flask
- MySQL
- Pandas
- MySQL Connector Python

## Installation and Setup
**Database Setup**
- MySQL is installed and running on your machine.
- Create a new MySQL database named `bookstore_db`.

## Database Schema
- **Writers**: Stores author details.
- **Book**: Contains information about books.
- **Cart**: Manages user's shopping cart.
- **Reviews**: Stores user reviews for books.
- **Order History**: Keeps a record of user purchases.
- **Users**: Manages user information and authentication. Application**


## Credits
- https://www.youtube.com/watch?v=7r93l-sRmwI
- https://www.youtube.com/watch?v=6L3HNyXEais
- https://www.youtube.com/watch?v=uxZuFm5tmhM
- https://www.youtube.com/watch?v=wALCw0F8e9M
- https://www.youtube.com/watch?v=i5acg3Hvu6g
- https://youtu.be/323H_mOOWQ4?list=PLxCzCOWd7aiHqU4HKL7-SITyuSIcD93id
- https://stackoverflow.com/questions/tagged/mysql
- https://stackoverflow.com/questions/27406086/select-query-in-mysql
- https://meta.stackexchange.com/questions/53610/stack-overflow-data-in-mysql
- https://stackoverflow.blog/2020/10/14/improve-database-performance-with-connection-pooling/
